# Unit uCEFSentinel

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

This item has no description.

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Class `TCEFSentinel` | TCEFSentinel is used as a timer that checks the number of running CEF processes when you close all browsers before shutdown. This component is only used as a last resort when there's an unresolved shutdown issue in CEF or CEF4Delphi that generates exceptions when the application is closed.

### Functions and Procedures

`procedure Register;`

### Types

`TSentinelStatus = (...);`

### Constants

`CEFSENTINEL_DEFAULT_DELAYPERPROCMS = 200;`
`CEFSENTINEL_DEFAULT_MININITDELAYMS = 1500;`
`CEFSENTINEL_DEFAULT_FINALDELAYMS = 100;`
`CEFSENTINEL_DEFAULT_MINCHILDPROCS = 2;`
`CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS = 10;`

## Description

### Functions and Procedures

`procedure Register;`
This item has no description.

### Types

`TSentinelStatus = (...);`
This item has no description. ###### Values ssIdle ssInitialDelay ssCheckingChildren ssClosing

### Constants

`CEFSENTINEL_DEFAULT_DELAYPERPROCMS = 200;`
This item has no description.

`CEFSENTINEL_DEFAULT_MININITDELAYMS = 1500;`
This item has no description.

`CEFSENTINEL_DEFAULT_FINALDELAYMS = 100;`
This item has no description.

`CEFSENTINEL_DEFAULT_MINCHILDPROCS = 2;`
This item has no description.

`CEFSENTINEL_DEFAULT_MAXCHECKCOUNTS = 10;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.